HomePhabricator
Enlightenment DR 0.19.7 Release

This hotfix release improves on the 0.19.6 release and improves compatibility with versions of EFL prior to the 1.15 series. It is required that anyone wanting to use such versions of EFL use this release instead of the 0.19.6 release.

Changes

Mike Blumenkrantz (2):

use runtime check for determining x11 compositor grab behavior
improve x11 compatibility with efl versions earlier than 1.15

As always, stay tuned to the latest infrequent E updates on the release blog.

Download

LINK SHA256
Enlightenment DR 0.19.7 GZIP6d52338e3e9c1b024d59058ff35d90818a30c3e351d155a7bd521cd39e4b9ed1
Enlightenment DR 0.19.7 BZIP25f7304eaac62b321a93e05276f680e2d16b57773f90606e5bec81db1d4fb4c58
Enlightenment DR 0.19.7 XZ5737d7abfd536a665dcd927a0fc8d65fd566b206f9994fd0c997677d0871a320

Disclaimer: Enlightenment developers cannot be responsible for any successes which occur during testing of E19.

Building and Dependencies

If you have an existing EFL or Elementary install, you may wish to delete its header files and libraries before compiling and installing to avoid possible conflicts during compilation. Please compile the dependencies in the following order (click for README):

  1. efl
  2. elementary
  3. emotion_generic_players
  4. evas_generic_loaders

Note: E19 depends on EFL v1.11 or newer.

Below are links to the project pages for each of the dependencies:

Written by zmike on Jul 24 2015, 10:37 AM.
Patch Reviewer
Projects
None
Subscribers
None